org.openstreetmap.josm.plugins.streetside.gui.dialog

## Class ChooseGeoImageLayersDialog.GeoImageLayerListCellRenderer

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.gui.dialog.ChooseGeoImageLayersDialog.GeoImageLayerListCellRenderer

- All Implemented Interfaces:
    javax.swing.ListCellRenderer<org.openstreetmap.josm.gui.layer.geoimage.GeoImageLayer>
  Enclosing class:
    ChooseGeoImageLayersDialog

      protected static class ChooseGeoImageLayersDialog.GeoImageLayerListCellRenderer
      extends java.lang.Object
      implements javax.swing.ListCellRenderer<org.openstreetmap.josm.gui.layer.geoimage.GeoImageLayer>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GeoImageLayerListCellRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Component` | `getListCellRendererComponent(javax.swing.JList<? extends org.openstreetmap.josm.gui.layer.geoimage.GeoImageLayer> list, org.openstreetmap.josm.gui.layer.geoimage.GeoImageLayer value, int index, boolean isSelected, boolean cellHasFocus)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoImageLayerListCellRenderer

          protected GeoImageLayerListCellRenderer()

  - ### Method Detail

    - #### getListCellRendererComponent

          public java.awt.Component getListCellRendererComponent(javax.swing.JList<? extends org.openstreetmap.josm.gui.layer.geoimage.GeoImageLayer> list,
                                                                 org.openstreetmap.josm.gui.layer.geoimage.GeoImageLayer value,
                                                                 int index,
                                                                 boolean isSelected,
                                                                 boolean cellHasFocus)

      Specified by:
        `getListCellRendererComponent` in interface `javax.swing.ListCellRenderer<org.openstreetmap.josm.gui.layer.geoimage.GeoImageLayer>`

JOSM Plugins